Debian Bug report logs - #616340
please provide link to translated /intl/l10n/*/* pages

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Helge Kreutzmann <debian@helgefjell.de>

Date: Thu, 3 Mar 2011 17:27:01 UTC

Owned by: David Prévot <david@tilapin.org>

Severity: minor

Done: David Prévot <david@tilapin.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616340; Package www.debian.org. (Thu, 03 Mar 2011 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helge Kreutzmann <debian@helgefjell.de>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 03 Mar 2011 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helge Kreutzmann <debian@helgefjell.de>
To: submit@bugs.debian.org
Subject: Missing language code on http://www.debian.org/international/l10n/po-debconf/de
Date: Thu, 3 Mar 2011 18:24:41 +0100
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Severity: minor

On
http://www.debian.org/international/l10n/po-debconf/de
the following is written in the header:
templates l10n mit PO-Dateien für den Sprachcode: @
Here "de" should be displayed instead of @

-- 
      Dr. Helge Kreutzmann                     debian@helgefjell.de
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/
[signature.asc (application/pgp-signature, inline)]

Owner recorded as David Prévot <david@tilapin.org>. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Thu, 03 Mar 2011 17:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>, David Prévot <david@tilapin.org>:
Bug#616340; Package www.debian.org. (Thu, 03 Mar 2011 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <davidp@altern.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>, David Prévot <david@tilapin.org>. (Thu, 03 Mar 2011 21:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 616340@bugs.debian.org (full text, mbox):

From: David Prévot <davidp@altern.org>
To: Helge Kreutzmann <debian@helgefjell.de>, 616340@bugs.debian.org
Subject: Re: Bug#616340: Missing language code on http://www.debian.org/international/l10n/po-debconf/de
Date: Thu, 03 Mar 2011 17:16:25 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 03/03/2011 13:24, Helge Kreutzmann a écrit :
> Package: www.debian.org

Hi,

> the following is written in the header:
> templates l10n mit PO-Dateien für den Sprachcode: @
> Here "de" should be displayed instead of @

Thanks for your notice.

The breadcrumbs are also awfully long in that part of the website. Since
we are going to handle a specific case here, I'd propose to use the
following entry for the breadcrumbs :

http://www.debian.org/international/l10n/po/		-> PO
http://www.debian.org/international/l10n/po4a/		-> po4a
http://www.debian.org/international/l10n/po-debconf/	-> PO Debconf

And for every subpage relative to language code, use the (full) language
name (with a fall back to language code if the language name is not
defined).

With Helge example page [1], the breadcrumbs would “simply” be:

> Debian International / Zentrale Übersetzungsstatistik von Debian / PO Debconf / Deutsch

instead of:

> Debian International / Zentrale Übersetzungsstatistik von Debian / PO-Dateien zur Übersetzung von Debconf templates für jede Sprache / Status der Debconf templates l10n mit PO-Dateien für den Sprachcode: @

or in English [2]:

> Debian International / Central Debian translation statistics / PO Debconf / German

instead of:

> Debian International / Central Debian translation statistics / PO files in Debian for each language / Status of PO files for language code: @

And it's even worse in French [3]...

[1] http://www.debian.org/international/l10n/po-debconf/de.de
[2] http://www.debian.org/international/l10n/po-debconf/de.en
[3] http://www.debian.org/international/l10n/po-debconf/de.fr

BTW, I also noticed that there is no link to the translated pages in the
bottom of those pages, I'll try to fix that in the process.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNcAUhAAoJELgqIXr9/gnylZIQALkhRWxe41AJ8ZPyxUsYzySh
BNFDO/5N7jDnSlWMdi+WslRsx0n2JSEKO+8LPt/dls/e5PmaQnHNHmO075i4nExF
Us/P8SIB0FSpTbA3ca4hCB94hpX6YvUdCUAdyuCsURtaxWdPFoWtOqG4ZJW5FuUk
ny7gVblPv2sHcZN3/0zV/jOq44rLyS0JRuRupGTGHXOCuEfvk4qB9ZqmWw8ZlV1c
r3LZRBaIeBrPs/KPkbESPYQ7/9gWXS+TiyFwGsoVSVBVakyGJ0SpjIKteFEC+sb2
nltgv01OGreFNhM/jSLiN8or8mtrhBMA6WJoTKWL2BtKYOwH7rklOc+C4IwO3umn
MxKv3KbkVZfXtu1qPQJcU8OCH39CunTTFtHad3DPwU4YgfqTLBHUN5vreavjWfEo
JBABlwczNUzR0/CmXjXGZIngZpVjRtcfOMNmabDH1guYv1vJvA3n+E2mfTu9XTsb
LifD0rIatiiLD5Vwvn1cVUY4kO9YO4TVKFSY6dNDFP0Wij312kG8VOU1TngHTRO8
9sXOVKW0I7uqie+jCXV7pB8vkBj77u19oj3IuBytS7Hedvcnw7w1YdTGg5mZtD0y
z6LG24Q2XsfohHHvlmysL8k7vzfkUGqrBdrlT286MUPWJcR42xpzM2aby2VknUSj
E3HD2ZbryFeDwxmIwoZb
=QJEy
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616340; Package www.debian.org. (Sat, 05 Mar 2011 04:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 05 Mar 2011 04:30:15 GMT) Full text and rfc822 format available.

Message #17 received at 616340@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Helge Kreutzmann <debian@helgefjell.de>, 616340@bugs.debian.org
Subject: Another way to build /intl/l10n/*/$lang (Was: Missing language code on http://www.debian.org/international/l10n/po-debconf/de)
Date: Sat, 05 Mar 2011 00:24:37 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 03/03/2011 17:16, David Prévot a écrit :
> Le 03/03/2011 13:24, Helge Kreutzmann a écrit :
>> Package: www.debian.org

> And for every subpage relative to language code, use the (full) language
> name [0] (with a fall back to language code if the language name is not
> defined).
> 
> With Helge example page [1], the breadcrumbs would “simply” be:
> 
>> Debian International / Zentrale Übersetzungsstatistik von Debian / PO Debconf / Deutsch

> or in English [2]:
> 
>> Debian International / Central Debian translation statistics / PO Debconf / German

	0: http://www.debian.org/international/l10n/po
	1: http://www.debian.org/international/l10n/po-debconf/de.de
	2: http://www.debian.org/international/l10n/po-debconf/de.en

Well, that's a bit more tricky that I'd have hopped. I fixed it to just
show the language code at the end (should be on-line tomorrow night in
Europe).

> BTW, I also noticed that there is no link to the translated pages in the
> bottom of those pages, I'll try to fix that in the process.

The current process to build those pages starts with a WML template,
that is used to build an HTML template, which is then duplicated to
include data of every language using a shell script.

Another approach to fix the “full language name in breadcrumbs“ and
“link to the translated pages in the footer” would be to add the data
sooner in a WML file, and to build each HTML file from its own WML source.

I'm not sure to be clear, so let me try a simple ASCII graph:

*Current process*
                         translation data
                                 |
                                 v
WML template ---> HTML template ---> HTML files
    (35)              (35)             (6000)

*Proposed alternative*

        translation data
              |
              v
WML template ---> WML files ---> HTML files
    (35)           (6000)          (6000)

Before trying to achieve this, I would appreciate comments, given that
there are currently 35 templates, that are used to build almost 6000
HTML files.

The proposed alternative would add 6000 new WML files in the building
tree (not on CVS of course), representing around 500MB of storage (not a
real problem since 5GB are still available on wolkenstein), and will
also add 6000 building from WML source on a daily basis (that should
take around an hour since a full rebuild of ~33000 files takes a bit
more than 6 hours).

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNcbsBAAoJELgqIXr9/gnyHi8QAJKbbAenhJjQtrQ+O7rjjNEB
1OFhq1b/q+udc0P4jMP4pUMTwgAQbrWDGZdKVl+ARUesrCnpzagc2InkwE06kFwe
eE07a9/sD3ozu3MPvmtrkpQKr514c3dOh+27/X4CoPG51UuBOnG6I2vDKOiHvTn7
nnaIm8ObHsBI0Nb6BgQZsrIkKgmfk30AiwXzv7hw9gol1mijDaoMvkDdBMebLhW8
5cVAuNZtaIZgpnxjMChDHWapAZHdnmHpl3WTc0Lm9Ozw8wbFwfDDcVyxFKUDyf/D
axHsMgK/PIlDTKhHCA8GKIhkgXHdiNDMsM9CNdIu1xWCLqpGmPTplH/DAnymKWW3
UUZBBJ+hcl+JyJE6+8XRzZOIJitfrKaig5zeW4qQT1lhKs1IrNEKcrBEZE1cT7DE
jnJ/gvGmlUYeaxhA57IKRd1nzNt+NXGZXIQGKIOnKNLGDsSYIhjo5U6kd6ihfsRM
zcIFWLA7t13A+Ph5Qi1T7hZlXqFqvUCLB4MWY82KNy8W1Somp6bDZzzN/AmlPQVq
a0+9D7jMQNygBAxYEE6dm87TTS5dKU2qJGAZdcFN4MKvG3x3KCmGZj66od7toE6l
Hy43ONa59IPFsuHAlNszqBGnT2AU7t/YmLJ6YP+QKqF+AhUM/tWwE2i1+PRD1+PX
kwZlHnl4L35OSqacnsGJ
=2rd3
-----END PGP SIGNATURE-----




Changed Bug title to 'please provide link to translated /intl/l10n/*/$lang pages, and use real language name' from 'Missing language code on http://www.debian.org/international/l10n/po-debconf/de' Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sun, 24 Apr 2011 00:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616340; Package www.debian.org. (Sun, 01 May 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 01 May 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #24 received at 616340@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Helge Kreutzmann <debian@helgefjell.de>, 616340@bugs.debian.org
Subject: Re: Bug#616340: Another way to build /intl/l10n/*/$lang (Was: Missing language code on http://www.debian.org/international/l10n/po-debconf/de)
Date: Sun, 01 May 2011 18:04:59 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

retitle 616340 please provide link to translated /intl/l10n/*/* pages
thanks

Le 05/03/2011 00:24, David Prévot a écrit :
> Le 03/03/2011 17:16, David Prévot a écrit :

>> And for every subpage relative to language code, use the (full) language
>> name [0] (with a fall back to language code if the language name is not
>> defined).

Done, should be on line in a few hours.

> Well, that's a bit more tricky that I'd have hopped.

isoquery and iso-codes helped a lot in that matter.

>> BTW, I also noticed that there is no link to the translated pages in the
>> bottom of those pages, I'll try to fix that in the process.

I'll try harder from now.

> […] The proposed alternative would add 6000 new WML files

I kept stuff the way they are, and fixed the current process.

Cheers

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNvdkIAAoJELgqIXr9/gnyS8gP/00RhDOGfZxsVkgGFD3/rsmO
aYWtzvAPzRJY0v49+X0sGJ/xgYRQqbnTUQm37F+xMmwI9Lhug/V06sfRqgSyYivs
NPjiRFiRn2KswvYGOIrMYYm9sZCl060t0i56mcGGgBKOgojDJsH7wHmsdhIa2kWJ
sQUF3SEj4466GKSB/UlCvehSpXl7DRDdcKy08rX9Lp4+eXKIYmW9im/l2vStFBU6
CHVJuShnPJ5MhLIvVJ/9G7Rpfit8Jkn+VjNxWBFaohwiGx4jTogfdnnkb27s0V3L
SEbY+o8YCR7JPP0AM6Ro8fBY0pJQbIxyRViau67hjNHrSjMk3ske4YkW9qilXH7Q
eGRcE9Syh8Vo4hj/LP10B4TWE+2Sj9M37LCLTeV4n+HqX5WS9W2v4DqzqqjGfeWe
R1ET2ksimXtjvRw8wB4oJAgeOTmO5mNViZPVqNG/wY5W4YGAxcNKQdjsg6crZghD
LTF71SXHIVTNQdyQgr3IVuWdVjV6DYAj+7ofoGAf7Vl6laDyconQi+ilWsQDRACu
lkkDlvand2DVU2nkospBvYxwTZHf9ysiZSfXiv9Ik4W7IQtC1iVGKougpLOG8G2o
MfPzSa5DFBj+xlgEax2APruY2VK9YYIhZOolEonCBo0PBswbOgLQMVkN1Mvbc9fv
vRAADSn2gizsDR9xNetn
=b4wb
-----END PGP SIGNATURE-----




Changed Bug title to 'please provide link to translated /intl/l10n/*/* pages' from 'please provide link to translated /intl/l10n/*/$lang pages, and use real language name' Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sun, 01 May 2011 22:09:09 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <david@tilapin.org>:
You have taken responsibility. (Sun, 01 May 2011 22:39:07 GMT) Full text and rfc822 format available.

Notification sent to Helge Kreutzmann <debian@helgefjell.de>:
Bug acknowledged by developer. (Sun, 01 May 2011 22:39:07 GMT) Full text and rfc822 format available.

Message #31 received at 616340-done@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Helge Kreutzmann <debian@helgefjell.de>, 616340-done@bugs.debian.org
Subject: Yay, let's fix one bug a day!
Date: Sun, 01 May 2011 18:38:14 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 01/05/2011 18:04, David Prévot a écrit :
> Le 05/03/2011 00:24, David Prévot a écrit :
>> Le 03/03/2011 17:16, David Prévot a écrit :

> Done, should be on line in a few hours.

Well, make it “a lot” of hours actually…

>>> BTW, I also noticed that there is no link to the translated pages in the
>>> bottom of those pages, I'll try to fix that in the process.
> 
> I'll try harder from now.

Everything was actually ready for that, a too strict test might have
been introduced in the languages template sine. I fixed it, but since it
triggered a full rebuild, we'll see the result only tomorrow.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNveDUAAoJELgqIXr9/gnyvO0QAIs9LPB03B0bXR59UZIaLzJY
5SDa6DDuAXpG1YPqRedvTcmwdJH6rtJesgDVfXOwIP6gP+h9TyO0eEIFetCRwXy0
TcpbOWVgljagQL0pDDh8dLPFoMpQPus6kJ1WsSxgrHp8hu8YrdofaNOyrD3GCRg5
JI1Dk9TwxnZGLXPd1GhfeALIbiKtotA3L+B1f3iffd4bN7TfT4RCVSp2m4kGDu3u
3Krp8NTmJ5DBSlVvAxR0gB43ue72Yj+/y+wu6mGbnfMkl2KEALuhzoQpPfbO1sqo
bktj2GH6fR6tLPLnVaFVecF/cAaQ+BpJVkmTQNuasrz831NawPHTOYPlFPQ74AvH
lwFGbT555QPtYHpIsu+iV5G7Z/ZKD/Ekx0xatLcQJBd0JaiB5ztom5iYpyUArADP
lTwyTXyLjneDpR40DJ3pk5jYme8NQ7hsW+S2Cry97vYQm1jre0GN+Afv458nlqQA
7N7ivcyBCEJohTycWGOI7Xteax7PWU22d/pmNMDYdVBWyL5ZmbsJ/86JQ3GWd6uk
DT1sUCZ8k3OrQH7CAgDL9C5dw/3revTXF3lhrjy0E+HpXpuBUbbaJuBaUrPPL/4h
WxByMeYYyHpFm5UEhrkPymWKNieC2voyXe125n1GRlUVzc2LiyW5WHSBrC778d7r
MmZJtF3onfMeaTonLSJG
=aZx9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 May 2011 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:30:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.